*{
    padding:0;
    margin: 0;
    box-sizing: border-box; 
    /* it will not take extra width for padding and border by setting box sizing property */
}
body{
    min-height: 100vh;  
    /* take whole screen as height */
    background-color: aliceblue;
    display: flex;
    justify-content: center;
    align-items: center;
}
.calculator{
    width: 300px;
    height: 500px;
    box-shadow: 4px 4px 30px rgba(0,0,0,0.3);
    border-radius: 12px;
    background-color: plum;
    overflow: hidden;

}
form input{
    width: 100%;
    height: 150px;
    border: none;
    border-radius: 12px;
    font-size: 2rem;
    padding: 1rem;
    color: white;
    background-color: burlywood;
    text-align: right;
    pointer-events: none;
}
.buttons{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    padding: 20px;
}

button{
    flex: 0 0 22%;
    margin: 5px 0px;
    border: 1px solid black;
    width: 60px;
    height: 52px;
    font-size: 22px;
    font-weight: 600;
    border-radius: 5px;
    cursor: pointer;
}

.btn-yellow{
    background-color: rgb(7, 209, 98);
    color: white;
}
.btn-grey{
    background-color: coral;
}
.btn-equal{
    background-color: red;
}
.btn-clear{
    background-color: gold;
}